#!/bin/bash

# revealhomelibrary.sh
# version 1.0 (2013-10-27)
# by BitFume (bitfume.com)

# Description
# Reveals the Home Library folder (~/Library), which is hidden by default in recent releases of Mac OS X.

# Get permission to update hosts file
sudo echo 'Revealing Home Library folder...' || (echo 'Error: no permission to reveal folder.' && exit 1);

sudo chflags nohidden ~/Library

# Finish up
echo 'Home Library folder revealed.' && exit 0;